<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WP-Trucker
 */

?>

<?php if(is_active_sidebar( 'footer-widget-area-1' ) || is_active_sidebar( 'footer-widget-area-2' ) || is_active_sidebar( 'footer-widget-area-3' ) || is_active_sidebar( 'footer-widget-area-4' )): ?>
	<!--footer-->
	<footer>
	    <div class="container">
	        <!--footer-widgets-->
	        <div class="footer-widgets container animate fadeInDownLarge" data-anim-type="fadeInDownLarge" data-anim-delay="400">
	            <div class="row">
	                <div class="col-lg-3 col-md-6 col-sm-12">
	                    <?php dynamic_sidebar( 'footer-widget-area-1' ); ?>
	                </div>
	                <div class="col-lg-3 col-md-6 col-sm-12">
	                    <?php dynamic_sidebar( 'footer-widget-area-2' ); ?>
	                </div>
	                <div class="col-lg-3 col-md-6 col-sm-12">
	                    <?php dynamic_sidebar( 'footer-widget-area-3' ); ?>
	                </div>
	                <div class="col-lg-3 col-md-6 col-sm-12">
	                    <?php dynamic_sidebar( 'footer-widget-area-4' ); ?>
	                </div>
	            </div>
	        </div>
	    </div>
	</footer>
<?php endif; ?>
<!--//footer-widgets-->
<div class="row coppy-right">
    <div class="container">
        <div class="col-md-12">
            <p>
             <?php echo esc_html_e("Proudly powered by" ,'wheelify'); ?><a href="<?php echo esc_url("https://wordpress.org/") ?>" target="_black"><?php echo esc_html_e("WordPress." ,'wheelify'); ?></a>
             <?php echo esc_html_e("Theme by" ,'wheelify'); ?><a href="<?php echo esc_url("https://weblizar.com/") ?>" target="_black"><?php echo esc_html_e("Weblizar." ,'wheelify'); ?></a></p> 
             <br>
        </div>
    </div>
</div>
<!--./footer-->


</div><!-- #page -->

<?php $wp_trucker_Back_To_Top_Button_background = get_theme_mod('wp_trucker_Back_To_Top_Button_background');
if( !empty($wp_trucker_Back_To_Top_Button_background) ) : ?>

   <style>
      #btn-to-top {
         display: inline-block;
         width: 40px;
         height: 40px;
         background-color: <?php echo $wp_trucker_Back_To_Top_Button_background; ?> !important;
         text-align: center;
         position: fixed;
         bottom: 90px;
         right: 35px;
         z-index: 999;
         transform: scale(1.1,1.1);
         transition: all 0.5s ease;
      }
   </style>    
                
<?php endif; ?>

<?php $wp_trucker_Back_To_Top_Button_color_background = get_theme_mod('wp_trucker_Back_To_Top_Button_color_background');
   if( !empty($wp_trucker_Back_To_Top_Button_color_background) ) : ?>

      <style>

         a#btn-to-top i {
            font-size: 20px;
            color: <?php echo $wp_trucker_Back_To_Top_Button_color_background; ?> !important;
            line-height: 2.1;
         }

      </style>    
                
<?php endif; ?>

<?php 
$wp_trucker_Back_To_Top_Location_Button = get_theme_mod('wp_trucker_Back_To_Top_Location_Button', 'Right'); 
if( $wp_trucker_Back_To_Top_Location_Button === "Left" ) :
   ?>

   <style>
   #btn-to-top {
      opacity: 1;
      visibility: visible;
      left: 10%;
      position: fixed;
   }
   </style>  

   <?php

endif;
?>             


<!--- scroll-to-top -->
<?php $wp_trucker_Back_To_Top_Section_Visibility = get_theme_mod( 'wp_trucker_Back_To_Top_Section_Visibility' ,1 );
if( $wp_trucker_Back_To_Top_Section_Visibility ) : ?>
   <a href="#" id="btn-to-top"><i class="fas fa-arrow-up"></i></a>
<?php endif; ?>

<?php
get_template_part('custom','font');?>

<?php wp_footer(); ?>
</body>
</html>