<?php
/*
 * This is the child theme for Wheelify theme, generated with Generate Child Theme plugin by catchthemes.
 *
 * (Please see https://developer.wordpress.org/themes/advanced-topics/child-themes/#how-to-create-a-child-theme)
 */
add_action( 'wp_enqueue_scripts', 'wp_trucker_enqueue_styles' );
function wp_trucker_enqueue_styles() {
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array('parent-style')
    );
}

/**
 * Customizer For Sidebar additions.
 */
require get_stylesheet_directory() . '/sidebar-customizer.php';
//require get_stylesheet_directory() . '/custom-font.php';

/**
	 * For Welcome admin notice File...
	*/
	require get_stylesheet_directory() . '/inc/class-back-to-top-customize.php';
  

  //wp_enqueue_style('',"https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap")

	 function wp_trucker_customize_register( $wp_customize ) {

   /* $wp_customize->add_panel( 'theme_option', array(
       'title' => 'Theme options',
       'description' =>'', 
       'priority' => 10, 
    ) );*/

        $font_choices = array(
           'Source Sans Pro' => 'Source Sans Pro',
            'Open Sans' => 'Open Sans',
            'Oswald' => 'Oswald',
            'Playfair Display' => 'Playfair Display',
            'Montserrat' => 'Montserrat',
            'Raleway' => 'Raleway',
            'Droid Sans' => 'Droid Sans',
            'Lato' => 'Lato',
            'Arvo' => 'Arvo',
            'Lora' => 'Lora',
            'Merriweather' => 'Merriweather',
            'Oxygen' => 'Oxygen',
            'PT Serif' => 'PT Serif',
            'PT Sans' => 'PT Sans',
            'PT Sans Narrow' => 'PT Sans Narrow',
            'Cabin' => 'Cabin',
            'Fjalla One',
            'Francois One',
            'Josefin Sans' => 'Josefin Sans',
            'Libre Baskerville' => 'Libre Baskerville',
            'Arimo' => 'Arimo',
            'Ubuntu' => 'Ubuntu',
            'Bitter' => 'Bitter',
            'Droid Serif' => 'Droid Serif',
            'Roboto' => 'Roboto',
            'Open Sans Condensed' => 'Open Sans Condensed',
            'Roboto Condensed' => 'Roboto Condensed',
            'Roboto Slab' => 'Roboto Slab',
            'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
            'Rokkitt' => 'Rokkitt',
        );


        $wp_customize->add_section(
            'font_section',
            array(
                'title' => __( 'font Section', 'wp-trucker' ),
                'description' => __('Here you can add font family','wp-trucker'),
                //'panel'=>'theme_option',
                'panel'    => 'Wheelify_Theme_Custom_Add_Panel_Function',
                'capability'=>'edit_theme_options',
                'priority' => 5,
            )
        );

        $wp_customize->add_setting( 'font_family', array(
                'default' =>'',
                'sanitize_callback' => 'wp_trucker_Theme_Fonts_Sanitize_Text_Function',
            )
        );

        $wp_customize->add_control( 'font_family', array(
                'type' => 'select',
                'label' => __('Select your desired font family for heading','wp-trucker'),
                'section' => 'font_section',
                'choices' => $font_choices
            )
        );

       $wp_customize->add_setting( 'font_family2', array(
                'default' =>'',
                'sanitize_callback' => 'wp_trucker_Theme_Fonts_Sanitize_Text_Function',
            )
        );

        $wp_customize->add_control( 'font_family2', array(
                'type' => 'select',
                'label' => __('Select your desired font family for body','wp-trucker'),
                'section' => 'font_section',
                'choices' => $font_choices
            )
        );

        // WP-Trucker Theme Sanitize Function
		function wp_trucker_Theme_Fonts_Sanitize_Text_Function( $text ) {
		    return sanitize_text_field( $text );
		}


}
add_action( 'customize_register', 'wp_trucker_customize_register' );

function wp_trucker_scripts() {
    $headings_font = esc_html(get_theme_mod('font_family'));
    $body_font = esc_html(get_theme_mod('font_family2'));

    if( $headings_font ) {
        wp_enqueue_style( 'wp-trucker-headings-fonts', '//fonts.googleapis.com/css?family='. $headings_font );
    } else {
        wp_enqueue_style( 'wp-trucker-source-sans', '//fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic');
    }
    if( $body_font ) {
        wp_enqueue_style( 'wp-trucker-body-fonts', '//fonts.googleapis.com/css?family='. $body_font );
    } else {
        wp_enqueue_style( 'wp-trucker-source-body', '//fonts.googleapis.com/css?family=Source+Sans+Pro:400,300,400italic,700,600');
    }
}
add_action( 'wp_enqueue_scripts', 'wp_trucker_scripts' );