<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WP-Trucker
 */

get_header(); ?>

<div class="blog-page main-container space" id="container">
    <div class="container">
        <div class="blog-post-templare row animate" data-anim-type="fadeIn" data-anim-delay="300">
            <!--blog-post-->
            <?php if(get_theme_mod('wp_trucker_page_sidebar_layout') == "singel_left_sidebar" ) : ?>
                <div class="col-lg-4 col-md-12 sidebar">
                    <?php get_sidebar(); ?>
                </div>
                <div class="col-lg-8 col-md-12">
                    <?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
                endwhile; // End of the loop.
				?>
                </div>
            <?php endif; ?>

            <?php if(get_theme_mod('wp_trucker_page_sidebar_layout') == "singel_no_sidebar" ) : ?>

                <div class="col-lg-12 col-md-12">
                    <?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
                endwhile; // End of the loop.
				?>
                </div>
            <?php endif; ?>
            
            <?php if(get_theme_mod('wp_trucker_page_sidebar_layout') == "singel_right_sidebar" ) : ?>
               <div class="col-lg-8 col-md-12">
                    <?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
                endwhile; // End of the loop.
				?>
                </div>
                <div class="col-lg-4 col-md-12 sidebar">
                    <?php get_sidebar(); ?>
                </div>
           <?php endif; ?>

            <?php if( ! get_theme_mod('wp_trucker_page_sidebar_layout') && ! get_theme_mod('wp_trucker_page_sidebar_layout') == "rightsidebar" && ! get_theme_mod('wp_trucker_page_sidebar_layout') == "nosidebar" && ! get_theme_mod('wp_trucker_page_sidebar_layout') == "leftsidebar" ) : ?>
               <div class="col-lg-8 col-md-12">
                    <?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;
                endwhile; // End of the loop.
				?>
                </div>
                <div class="col-lg-4 col-md-12 sidebar">
                    <?php get_sidebar(); ?>
                </div>
           <?php endif; ?>
        </div>
    </div>
</div>

<?php  get_footer(); ?>